Search documentation of ExStreamClient

# ExStreamClient.Model.ChannelResponse (ExStreamClient v0.1.10)

View Source

Schema representing a ChannelResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ChannelResponse{
      auto_translation_enabled: boolean() | nil,
      auto_translation_language: String.t() | nil,
      blocked: boolean() | nil,
      cid: String.t(),
      config: ExStreamClient.Model.ChannelConfigWithInfo.t() | nil,
      cooldown: integer() | nil,
      created_at: float(),
      created_by: ExStreamClient.Model.UserResponse.t() | nil,
      custom: %{optional(String.t()) => any()},
      deleted_at: float() | nil,
      disabled: boolean(),
      frozen: boolean(),
      hidden: boolean() | nil,
      hide_messages_before: float() | nil,
      id: String.t(),
      last_message_at: float() | nil,
      member_count: integer() | nil,
      members: [ExStreamClient.Model.ChannelMember.t()] | nil,
      mute_expires_at: float() | nil,
      muted: boolean() | nil,
      own_capabilities: [ExStreamClient.Model.ChannelOwnCapability.t()] | nil,
      team: String.t() | nil,
      truncated_at: float() | nil,
      truncated_by: ExStreamClient.Model.UserResponse.t() | nil,
      type: String.t(),
      updated_at: float()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()